#include <iostream>

using namespace std;

int main()
{
    int n;
    int k;
    int l;
    int broj;
    cin >> n >> k;
    int x=2*n+1;
    int a[x];
    x=n/k;
    int b[x];
    broj=0;
    for (int i=0; i<=2*n; i++){
        a[i]=0;
    }
    for (int i=0; i<n; i++){
        cin >> l;
        a[n+l]++;
    }
    for (int i=0; i<=2*n; i++){
        if (a[i]>=k){
            b[broj]=i-n;
            broj++;
        }
    }
    cout << broj << endl;
    for (int i=0; i<broj; i++){
        cout << b[i] << ' ';
    }



    return 0;
}